package com.yingpaipay.common.mabatis.utils;

import java.util.List;

public class WrapperUtils {

    public static final List<Long> EMPTY = List.of(-1L);

    /**
     * {@code IN} 和 {@code NOT IN} 不能使用空集合<br>
     * 当输入不存在的文本时,查处的{@code ids}为空,此时需要使用一个不存在的{@code id}来限制其不要查询到任何数据
     */
    public static List<Long> convertIds(List<Long> ids) {
        return ids.isEmpty() ? EMPTY : ids;
    }

}
